Get Payment Details

Retrieve detailed information about a specific payment created by the Payment Initiation Service (PIS).

Endpoint

GET /v1/payments/{paymentId}

Path Parameters

AttributeTypeDescription
paymentIdStringID of the corresponding payment initiation object as returned by a Payment Initiation Request.

Query Parameters

No query parameters.

Request Headers

AttributeTypeConditionDescription
X-Request-IDUUIDMandatoryID of the request, unique to the call, as determined by the initiating party (TPP).
AuthorizationStringMandatoryThe oAuth2 Bearer token obtained from the SCA performed prior to this request.
API-KeyStringMandatoryConsumer key available on the developers portal.
Consent-IDUUIDMandatoryThe consent ID of the related PIS consent.

Request Body

No request body.

Response

HTTP 200 OK

Response Headers

AttributeTypeConditionDescription
X-Request-IDUUIDMandatoryID of the request, unique to the call, as determined by the initiating party (TPP).

Response Body

AttributeTypeConditionDescription
PaymentMandatoryThe payment object.

Example

Request

curl -X GET \
https://mp-psd2-api.mypos.com/v1/payments/e454aa67-2829-49da-a4e3-9fbcdd6e7545 \
-H 'API-Key: aGDmxHAmpMWUL1txqCsjEcOS' \
-H 'Authorization: Bearer oqeeWzoYfqkf1RsfyaB3hyNiLvY7GNAV6Kta7sGa9X' \
-H 'X-Request-ID: a552babc-7081-44e7-9361-61eb17e0bfd9' \
-H 'Consent-ID: 3c7816ee-3d51-4bf5-8ced-ece2af35d431'

Response

{
  "paymentId": "e454aa67-2829-49da-a4e3-9fbcdd6e7545",
  "paymentDateTime": "2019-09-05T14:02:06.803",
  "paymentStatus": "CANC",
  "creditorAccount": "NL14ABNA4415260276",
  "instructedAmount": 20.0,
  "instructedCurrency": "EUR",
  "creditorName": "First Last"
}